Attribute VB_Name = "Module1"
  Option Explicit
  
 Public Const HWND_TOPMOST = -1
 Public Const SWP_NOMOVE = &H2
 Public Const SWP_NOSIZE = &H1

 Public Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
 Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
 Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
 Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
 Public Declare Function GetShortPathName Lib "kernel32" Alias "GetShortPathNameA" (ByVal lpszLongPath As String, ByVal lpszShortPath As String, ByVal cchBuffer As Long) As Long
Public Sub Pause()
    Call mciSendString("pause mp3play", 0, 0, 0)
End Sub

Public Sub Play(MpegAudio As String)
    Dim lngLen As Long, strShort As String * 255, strPlay As String
    Call mciSendString("stop mp3play", 0, 0, 0)
    Call mciSendString("close mp3play", 0, 0, 0)
    lngLen = GetShortPathName(MpegAudio, strShort, 255)
    strPlay = Left(strShort, lngLen)
    Call mciSendString("open " & strPlay & " type mpegvideo alias mp3play", 0, 0, 0)
    Call mciSendString("play mp3play", 0, 0, 0)
End Sub

Public Sub Resume_Play()
    Call mciSendString("resume mp3play", 0, 0, 0)
End Sub

Public Sub Speed_Slow()
    Call mciSendString("set mp3play speed 500", 0, 0, 0)
End Sub

Public Sub Speed_Normal()
    Call mciSendString("set mp3play speed 1000", 0, 0, 0)
End Sub

Public Sub Speed_Fast()
    Call mciSendString("set mp3play speed 1500", 0, 0, 0)
End Sub

Public Sub StopIt()
    Call mciSendString("stop mp3play", 0, 0, 0)
    Call mciSendString("close all", 0, 0, 0)
End Sub

Public Function Length() As String
    Dim LengthA As String * 30
    Call mciSendString("status mp3play length", LengthA, Len(LengthA), 0)
    Length = LengthA
End Function

Public Function Position() As String
    Dim PositionA As String * 30
    Call mciSendString("status mp3play position", PositionA, Len(PositionA), 0)
    Position = PositionA
End Function

Public Sub Mute(isMute As Boolean)
    If isMute = True Then
        Call mciSendString("set mp3play audio all off", 0, 0, 0)
    ElseIf isMute = False Then
        Call mciSendString("set mp3play audio all on", 0, 0, 0)
    End If
End Sub

Public Sub PauseRsm(rSm As Boolean)
 If rSm = True Then
    Call Pause
 ElseIf rSm = False Then
    Call Resume_Play
 End If
End Sub

Public Function INIWrite(strSection As String, strSubSection As String, strValue As String, strPath As String) As String
    Call WritePrivateProfileString(strSection, strSubSection, strValue, strPath)
End Function

Public Sub formontop(frmMe As Form)
    Call SetWindowPos(frmMe.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE)
End Sub

Public Function INIGet(strSection As String, strSubSection As String, strPath As String) As String
    Dim strINI As String
    strINI = String(255, Chr(0))
    INIGet = Left(strINI, GetPrivateProfileString(strSection, strSubSection, "", strINI, Len(strINI), strPath))
End Function

